=== modified file 'NEWS'
--- NEWS	2005-10-21 03:43:58 +0000
+++ NEWS	2005-10-23 14:07:20 +0000
@@ -1,6 +1,7 @@
 UNRELEASED CHANGES
 
   IMPROVEMENTS:
+  
     * merge now takes a --show-base option to include the base text in
       conflicts.
       (Aaron Bentley)
@@ -52,6 +53,10 @@
 
     * Merge now has a retcode of 1 when conflicts occur. (Robert Collins)
 
+    * 'bzr check' allows the first revision on revision-history to have
+      parents - something that is expected for cheap checkouts, and occurs
+      when conversions from baz do not have all history.
+
   TESTING:
 
     * The 'bzr selftest --pattern' option for has been removed, now 

=== modified file 'bzrlib/check.py'
--- bzrlib/check.py	2005-10-13 01:29:22 +0000
+++ bzrlib/check.py	2005-10-23 14:07:20 +0000
@@ -128,12 +128,6 @@
 
         # check the previous history entry is a parent of this entry
         if rev.parent_ids:
-            if last_rev_id is None and rev_history_position is not None:
-                # what if the start is a ghost ? i.e. conceptually the 
-                # baz imports
-                raise BzrCheckError("revision {%s} has %d parents, but is the "
-                                    "start of the branch"
-                                    % (rev_id, len(rev.parent_ids)))
             if last_rev_id is not None:
                 for parent_id in rev.parent_ids:
                     if parent_id == last_rev_id:

